Public Member Functions | Private Attributes | List of all members
libabw::ABWOpenFrameElement Class Reference
Inheritance diagram for libabw::ABWOpenFrameElement:

## Public Member Functions
| ABWOpenFrameElement (const librevenge::RVNGPropertyList &propList)
| ~ABWOpenFrameElement () override
void | write (librevenge::RVNGTextInterface *iface, const OutputElementsMap_t *footers, const OutputElementsMap_t *headers) const override
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## ◆ ABWOpenFrameElement()

libabw::ABWOpenFrameElement::ABWOpenFrameElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| inline

## ◆ ~ABWOpenFrameElement()

libabw::ABWOpenFrameElement::~ABWOpenFrameElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ write()

void libabw::ABWOpenFrameElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const OutputElementsMap_t * | footers,
|  | const OutputElementsMap_t * | headers
| ) |  | const
| override virtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

## ◆ m_propList

librevenge::RVNGPropertyList libabw::ABWOpenFrameElement::m_propList
| private

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp